<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-20T21:55:28Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-12-03T19:38:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Verified with datapro versions 4.0.1193.51661, 4.3.513.51709 and 4.4.70.51711

That importing  A mod file with sensors that are not currently in the db functions with no errors. 
Also validated   that incrementing  the  year ( last digit of sensor sn ) in the mod file  and reimporting into datapro  works as expected ( the eid is moved to the sensor with the  latest year .





 </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-12-03T19:37:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-12-03T16:27:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-11-19T21:56:54Z</TimeStamp>
    <ReleaseNote>Addresses a crash in MOD sensor import</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-11-19T18:35:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.3/4.4@51615
 
only tested on 4.0, additional changes might be required for 4.3</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-11-06T18:03:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>this appears to be because of this line from case 35551
 
                    //35551 MOD sensors should not disallow duplicate EIDs if only the last character of the sensor serial number is different
                     //Check to see if CanSensorIdBeAssigned returned True because this sensor was already imported.
                     //If so, go ahead and re-import it to make it up-to-date with the import file and the sensor that it's replacing, and re-assign to its Groups.
                     if (blankOldSensorEID &amp;&amp; (sd.SerialNumber == existingSensor.SerialNumber))</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-11-06T17:51:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-11-06T17:48:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-11-06T17:47:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-11-06T17:44:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-11-06T17:14:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>The attached file works in 3.3.709, but not in 4.0.1142. Customer is Stellantis.</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-11-06T17:14:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>